Skip to main content

mPowerChat Message

mPowerChat Message is a messaging API used for sending encrypted plain text messages, to the users through the mPower app. The API accepts a text message as input and delivers it to the user specified in request URL.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v3/mpower/users/{userName}/chat/message

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/mpower/v1/users/{userName}/message
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required.

Request body​

Field NameTypeDescription
serviceUuidStringUUID of the service through which the message needs to be send.
messageTypeStringThe mpower chat message type. Supported values are: "processChatMessage", "textEntryRequest".
versionIntegerMessage gateway version number.
messageTextStringMessage to be sent.
instanceIdStringSome string value.If not provided by default a Random ID will be assigned.

Sample Request​

{
"serviceUuid": "{service-uuid}",
"messageType": "processChatMessage",
"version": 3,
"messageContent": {
"messageText": "string"
}
}

Response​

Field NameTypeDescription
messageIdStringUnique ID for the message.
instanceIdStringInstanceID of the request.

Sample Response​

{
"messageId": "9vdJCsWs3D6HkWDGLN",
"instanceId": "instance-45f04320-fc0c-441d-8e95-1943701858d5"
}

Response Status Information​

StatusTypeDescription
200OKFor successfull update
400statusBad request
401statusUnauthorized